package entities

import (
	"github.com/google/uuid"
	"gorm.io/gorm"
	"time"
)

type Sprint struct {
	gorm.Model
	ID                   uuid.UUID `gorm:"type:uuid;primaryKey;default:uuid_generate_v4()"`
	Name                 string
	Description          string
	CreatedAt            time.Time
	UpdatedAt            time.Time
	ProjectId            uuid.UUID
	MarathonId           uuid.UUID
	StartDate            time.Time
	ExpectedDeliveryDate time.Time
	FinalDeliveryDate    time.Time
}
