package entities

import (
	"github.com/google/uuid"
	"gorm.io/gorm"
	"time"
)

type Task struct {
	gorm.Model
	ID                   uuid.UUID `gorm:"type:uuid;primaryKey;default:uuid_generate_v4()"`
	ProjectId            uuid.UUID
	SprintId             uuid.UUID
	MarathonId           uuid.UUID
	ReleaseId            uuid.UUID
	Status               uuid.UUID
	CreatedAt            time.Time
	UpdatedAt            time.Time
	ExpectedDeliveryDate time.Time
	FinalDeliveryDate    time.Time
	Description          string
}

type TaskComment struct {
	ID        uuid.UUID `gorm:"type:uuid;primaryKey;default:uuid_generate_v4()"`
	TaskId    uuid.UUID
	Content   string
	CreatedAt time.Time
	UpdatedAt time.Time
	UserId    uuid.UUID
}

type TaskHistory struct {
	ID                uuid.UUID `gorm:"type:uuid;primaryKey;default:uuid_generate_v4()"`
	TaskId            uuid.UUID
	CreatedAt         time.Time
	UpdatedAt         time.Time
	UserId            uuid.UUID
	TaskHistoryTypeId uuid.UUID
}

type TaskHistoryType struct {
	ID    uuid.UUID `gorm:"type:uuid;primaryKey;default:uuid_generate_v4()"`
	Label string
}
