package entities

import (
	"github.com/google/uuid"
	"gorm.io/gorm"
	"time"
)

type DevUser struct {
	gorm.Model
	ID          uuid.UUID `gorm:"type:uuid;primaryKey;default:uuid_generate_v4()"`
	FirstName   string
	LastName    string
	Email       string
	PhoneNumber string
	CreatedAt   time.Time
	UpdatedAt   time.Time
}

type ClientUser struct {
	gorm.Model
	ID            uuid.UUID `gorm:"type:uuid;primaryKey;default:uuid_generate_v4()"`
	FirstName     string
	LastName      string
	Email         string
	PhoneNumber   string
	ClientId      uuid.UUID
	RoleInCompany string
	CreatedAt     time.Time
	UpdatedAt     time.Time
}

type ClientUser_Project_Join struct {
	gorm.Model
	ID            uuid.UUID `gorm:"type:uuid;primaryKey;default:uuid_generate_v4()"`
	ClientId      uuid.UUID
	ProjectId     uuid.UUID
	CreatedAt     time.Time
	UpdatedAt     time.Time
	IsStakeholder bool
	Notes         string
}

type DevUser_Project_Join struct {
	gorm.Model
	ID        uuid.UUID `gorm:"type:uuid;primaryKey;default:uuid_generate_v4()"`
	ClientId  uuid.UUID
	ProjectId uuid.UUID
	CreatedAt time.Time
	UpdatedAt time.Time
	IsLead    bool
	Notes     string
}
